Last Comment Bug 693183 - Move image element attribute processing to the frame class
: Move image element attribute processing to the frame class
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Robert Longson
:
Mentors:
Depends on: 697978
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-09 11:01 PDT by Robert Longson
Modified: 2011-10-28 08:36 PDT (History)
3 users (show)
longsonr: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (5.78 KB, patch)
2011-10-09 11:01 PDT, Robert Longson
no flags Details | Diff | Splinter Review
updated (9.17 KB, patch)
2011-10-09 14:18 PDT, Robert Longson
jwatt: review+
Details | Diff | Splinter Review
dfff -W version (8.37 KB, patch)
2011-10-09 14:29 PDT, Robert Longson
no flags Details | Diff | Splinter Review

Description Robert Longson 2011-10-09 11:01:04 PDT

    
Comment 1 Robert Longson 2011-10-09 11:01:55 PDT
Created attachment 565815 [details] [diff] [review]
patch
Comment 2 Robert Longson 2011-10-09 11:11:00 PDT
Comment on attachment 565815 [details] [diff] [review]
patch

I think there's still some redundancy to remove.
Comment 3 Robert Longson 2011-10-09 14:18:42 PDT
Created attachment 565830 [details] [diff] [review]
updated
Comment 4 Robert Longson 2011-10-09 14:29:17 PDT
Created attachment 565832 [details] [diff] [review]
dfff -W version
Comment 5 Jonathan Watt [:jwatt] (catching up after vacation) 2011-10-10 04:54:03 PDT
Is there any advantage to having this code belong to the frame?
Comment 6 Robert Longson 2011-10-10 05:08:07 PDT
Two main advantages.

a) you only need one copy of the override code as the animation and javascript updates come together at that point. Otherwise you need to override both AfterSetAttr (javascript) and DidAnimateXXX (animation) in order to get special behaviour.

b) when I remove all the ::DidChange and ::DidAnimate overrides I can make the methods in nsSVGElement non-virtual that will save around 128 bytes for each element we create in the SVG namespace. That's a pretty big win especially as I can also remove some of the DidChange updates from the content classes too as any calls to DidChangeXXX with aDoSetAttr false can be removed for an additional performance win.
Comment 7 Robert Longson 2011-10-10 06:52:34 PDT
On reflection and with jwatt's help, that's 128 bytes per class not per instance.
Comment 8 Jonathan Watt [:jwatt] (catching up after vacation) 2011-10-10 06:54:25 PDT
Comment on attachment 565830 [details] [diff] [review]
updated

OK, sounds good (with a note for any future readers that the 128 byte saving is per-class, not per-instance). r=jwatt
Comment 9 Jonathan Watt [:jwatt] (catching up after vacation) 2011-10-10 06:56:41 PDT
oh, you already clarified the 128 bytes thing :)
Comment 11 Robert Longson 2011-10-10 13:36:52 PDT
and backed out as it caused one reftest failure 

layout/reftests/bugs/315920-20.svg
Comment 12 Robert Longson 2011-10-12 15:39:44 PDT
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/315920-20.svg | image comparison (==)
REFTEST   IMAGE 1 (TEST): data:image/png;base64,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
REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
REFTEST number of differing pixels: 4906
Comment 13 Robert Longson 2011-10-12 15:40:40 PDT
The circle has the wrong fill.
Comment 14 Robert Longson 2011-10-19 06:42:01 PDT
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/e87a24fb8e41 this time with notify = true on the loadSVG call so that the reftest passes.
Comment 15 Robert Longson 2011-10-19 06:43:07 PDT
I landed it with the wrong comment unfortunately but the bug number is right so hopefully that's not too bad.
Comment 16 Robert Longson 2011-10-19 07:00:24 PDT
and backed out again :-(. Must be something that changed recently as it built a few hours ago with the latest trunk https://hg.mozilla.org/integration/mozilla-inbound/rev/43afe74d5ac0
Comment 17 Robert Longson 2011-10-19 08:48:48 PDT
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/dfa418ec22f1 with fix for non windows bustage
Comment 18 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-10-20 02:57:44 PDT
https://hg.mozilla.org/mozilla-central/rev/dfa418ec22f1

Note You need to log in before you can comment on or make changes to this bug.